Subject: Re: bug#32452: 26.1; gnutls_try_handshake maxes out cpu retrying when server is a bit busy

From: Paul Eggert <[email-masked]>
Date: Thu, 3 Mar 2022 13:40:12 -0800

On 3/3/22 05:46, Lars Ingebrigtsen wrote:
> So either there's something weird on my laptop, or it sounds like
> there's an Autoconf bug in debian/bookworm?

Could be either.

Debian Bookworm uses Autoconf 2.71+patches, as opposed to the Autoconf 
2.69+patches that Fedora 35 uses. For what it's worth I just now tried 
to reproduce the problem on Fedora 35 but with an Autoconf 2.71 that I 
installed by hand, and could not reproduce the problem. However, I 
looked at the patches in autoconf_2.71-2.debian.tar.xz and none of them 
seemed to be relevant (some don't even apply, which is curious....).

If you have an easily-reproducible script (runs in the C locale, etc.) 
it might be worth a bug report to the Debian developers. To be honest 
though it sounds like it might be something odd on your laptop.